# Assembly

include:
    "../rules/assembly.smk"
include:
    "../rules/mapping.smk"

rule ASSEMBLY:
    input:
       lr=expand(os.path.join(RESULTS_DIR, "assembly/lr/{tool}/ASSEMBLY.fasta"), tool=config["assemblers"]["lr"]),
       sr=expand(os.path.join(RESULTS_DIR, "assembly/sr/{tool}/ASSEMBLY.fasta"), tool=config["assemblers"]["sr"]),
       hy=expand(os.path.join(RESULTS_DIR, "assembly/hy/{tool}/ASSEMBLY.fasta"), tool=config["assemblers"]["hy"]),
    output:
        touch("status/assembly.done")
